@mixin btn {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    border: 1px solid rgba(236, 63, 63, 0.8);
    transition: 0.3s ease;
    width: 100%;
    font-family: 'Futura PT Demi';
    font-weight: 600;
    font-size: 16px;
    line-height: 24px;
    color: $white;

    @media (max-width: 576px) {
        line-height: 18px;
    }
}

@mixin mainTitle {
    font-family: 'Futura PT Demi';  
    font-weight: 600;
    font-size: 56px;
    line-height: 56px;
    margin-bottom: 24px;

    @media (max-width: 768px) {
        font-size: 40px;
        line-height: 40px;
        margin-bottom: 16px;
    }
}

@mixin mainText {
    font-family: 'Futura PT Book';
    font-weight: 400;
    font-size: 16px;
    line-height: 20px;
    margin-bottom: 40px;

    @media (max-width: 768px) {
        margin-bottom: 32px;
    }
}

@mixin sectionTitle {
    font-family: 'Futura PT Demi';
    font-weight: 600;
    font-size: 40px;
    line-height: 48px;

    @media (max-width: 768px) {
        font-size: 32px;
    }

    @media (max-width: 425px) {
        font-size: 26px;
        line-height: 36px;
    }
}

@mixin actorTitle {
    display: flex;
    flex-direction: column;
    gap: 4px;
    font-size: 24px;
    line-height: 32px;
    z-index: 1;

    @media (max-width: 768px) {
        font-size: 20px;
        line-height: 28px;
    }

    .character__name {
        font-family: 'Futura PT';
        font-weight: 600;
    }

    .actor__name {
        font-family: 'Futura PT Book';
        font-weight: 400;
    }
}

@mixin actorText {
    font-family: 'Futura PT Book';
    font-weight: 400;
    font-size: 16px;
    line-height: 20px;
    z-index: 1;
}

@mixin social {
    svg {
        path {
            transition: 0.3s ease;
        }
    }

    &:hover {
        svg {
            path {
                fill: $btnHover;
            }
        }
    }
}

@mixin copyright {
    font-family: 'Roboto';
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;
    text-decoration-line: underline;
    text-align: center;
    opacity: 0.7;
    color: $white;
    transition: 0.3s ease;

    &:hover {
        color: $btnHover;
    }
}
